Bug 54834 - vmware GSX 1.0.2 kernel modules do not compile under kernel 2.4.9-6smp
vmware GSX 1.0.2 kernel modules do not compile under kernel 2.4.9-6smp
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-20 12:48 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 14:47:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-20 12:48:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-6smp i686)

Description of problem:
A vmware GSX 1.0.2 installation that was running ok under 2.4.3-12smp
fails to compile its kernel modules (stops at vmmon-only) under the new
kernel 2.4.9-6smp.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run vmware-config.pl
2. answer the questions it asks
3. in a few seconds it stops with an error.
	

Actual Results:  Here is the output of vmware-config.pl:

Trying to find a suitable vmmon module for your running kernel.

None of VMware's pre-built vmmon modules is suitable for your running
kernel.
Do you want this script to try to build the vmmon module for your system
(you
need to have a C compiler installed on your system)? [yes]

What is the location of the directory of C header files that match your
running
kernel? [/lib/modules/2.4.9-6smp/build/include]

Extracting the sources of the vmmon module.

Building the vmmon module.

make: Entering directory `/tmp/vmware-config2/vmmon-only'
make[1]: Entering directory `/tmp/vmware-config2/vmmon-only'
make[2]: Entering directory
`/tmp/vmware-config2/vmmon-only/driver-2.4.9-6smp'
In file included from .././linux/driver.c:22:
/lib/modules/2.4.9-6smp/build/include/linux/malloc.h:3:2: warning: #warning
The Use of linux/malloc.h is deprecated, use linux/slab.h In file included
from .././linux/hostif.c:26:
/lib/modules/2.4.9-6smp/build/include/linux/malloc.h:3:2: warning: #warning
The Use of linux/malloc.h is deprecated, use linux/slab.h make[2]: Leaving
directory `/tmp/vmware-config2/vmmon-only/driver-2.4.9-6smp'
make[2]: Entering directory
`/tmp/vmware-config2/vmmon-only/driver-2.4.9-6smp'
In file included from .././linux/driver.c:22:
/lib/modules/2.4.9-6smp/build/include/linux/malloc.h:3:2: warning: #warning
The Use of linux/malloc.h is deprecated, use linux/slab.h In file included
from /lib/modules/2.4.9-6smp/build/include/linux/highmem.h:5,
                 from
/lib/modules/2.4.9-6smp/build/include/linux/pagemap.h:16,
                 from
/lib/modules/2.4.9-6smp/build/include/linux/locks.h:8,
                 from
/lib/modules/2.4.9-6smp/build/include/linux/devfs_fs_kernel.h:6,
                 from
/lib/modules/2.4.9-6smp/build/include/linux/miscdevice.h:4,
                 from ../linux/driver.h:10,
                 from .././linux/driver.c:56:
/lib/modules/2.4.9-6smp/build/include/asm/pgalloc.h: In function
`get_pgd_slow':
/lib/modules/2.4.9-6smp/build/include/asm/pgalloc.h:62: `PAGE_OFFSET'
undeclared (first use in this function)
/lib/modules/2.4.9-6smp/build/include/asm/pgalloc.h:62: (Each undeclared
identifier is reported only once
/lib/modules/2.4.9-6smp/build/include/asm/pgalloc.h:62: for each function
it appears in.)
/lib/modules/2.4.9-6smp/build/include/asm/pgalloc.h: In function
`pte_alloc_one':
/lib/modules/2.4.9-6smp/build/include/asm/pgalloc.h:111: `PAGE_SIZE'
undeclared (first use in this function)
In file included from
/lib/modules/2.4.9-6smp/build/include/linux/pagemap.h:16,
                 from
/lib/modules/2.4.9-6smp/build/include/linux/locks.h:8,
                 from
/lib/modules/2.4.9-6smp/build/include/linux/devfs_fs_kernel.h:6,
                 from
/lib/modules/2.4.9-6smp/build/include/linux/miscdevice.h:4,
                 from ../linux/driver.h:10,
                 from .././linux/driver.c:56:
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h: In function
`bh_kmap':
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h:20: `PAGE_MASK'
undeclared (first use in this function)
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h:21: warning: control
reaches end of non-void function
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h: In function
`bh_kmap_irq':
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h:50: `PAGE_MASK'
undeclared (first use in this function)
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h:54: warning: control
reaches end of non-void function
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h: In function
`bh_kunmap_irq':
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h:58: `PAGE_MASK'
undeclared (first use in this function)
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h: In function
`clear_user_highpage':
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h:86: `PAGE_SIZE'
undeclared (first use in this function)
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h: In function
`clear_highpage':
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h:92: `PAGE_SIZE'
undeclared (first use in this function)
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h: In function
`memclear_highpage':
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h:100: `PAGE_SIZE'
undeclared (first use in this function)
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h: In function
`memclear_highpage_flush':
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h:114: `PAGE_SIZE'
undeclared (first use in this function)
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h: In function
`copy_user_highpage':
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h:128: `PAGE_SIZE'
undeclared (first use in this function)
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h: In function
`copy_highpage':
/lib/modules/2.4.9-6smp/build/include/linux/highmem.h:139: `PAGE_SIZE'
undeclared (first use in this function)
.././linux/driver.c: In function `LinuxDriver_Ioctl':
.././linux/driver.c:953: structure has no member named `dumpable'
make[2]: *** [driver.o] Error 1
make[2]: Leaving directory
`/tmp/vmware-config2/vmmon-only/driver-2.4.9-6smp'
make[1]: *** [driver] Error 2
make[1]: Leaving directory `/tmp/vmware-config2/vmmon-only'
make: *** [auto-build] Error 2
make: Leaving directory `/tmp/vmware-config2/vmmon-only'
Unable to build the vmmon module.

Expected Results:  To compile the modules properly.

Additionalinfo:
Comment 1 Arjan van de Ven 2001-10-20 13:05:59 EDT
Please file this as a bug with VMWare instead and be sure to use their latest
kernel modules (they usually have newer modules on their website)

Note You need to log in before you can comment on or make changes to this bug.